Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227107 - Review Request: plexus-velocity - Plexus Velocity Component
Summary: Review Request: plexus-velocity - Plexus Velocity Component
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wringe
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:54 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-12 21:43:37 UTC
dbhole: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:54:18 UTC
Spec URL: http://people.redhat.com/rafaels/specs/plexus-velocity-1.1.2-2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/plexus-velocity-1.1.2-2jpp.src.rpm
Description: The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

Javadoc for plexus-velocity.

Comment 1 Tania Bento 2007-02-16 21:24:06 UTC
An updated source rpm and spec file can be found here:
http://people.redhat.com/dbhole/fedora/plexus-velocity/

Just a note, the md5sums do not match, but I've verified that the contents are
the same.

Comment 2 Deepak Bhole 2007-03-06 23:59:03 UTC
X = error

MUST:
* package is named appropriately
 - match upstream tarball or project name
 OK

 - try to match previous incarnations in other distributions/packagers for
consistency
 OK

 - specfile should be %{name}.spec
 OK

 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 OK

 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
  OK

 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
 OK

X * is it legal for Fedora to distribute this?
  - OSI-approved
  Unable to verify license of project. Please send note to user mailing list
  to clarify:

 http://plexus.codehaus.org/plexus-components/plexus-velocity/mail-lists.html

 - not a kernel module
 OK

 - not shareware
 OK

 - is it covered by patents?
 OK

 - it *probably* shouldn't be an emulator
 OK

 - no binary firmware
 OK

X * license field matches the actual license.
    Unable to verify license of project. Please send note to user mailing list to
    clarify:

    http://plexus.codehaus.org/plexus-components/plexus-velocity/mail-lists.html

* license is open source-compatible.
 - use acronyms for licences where common
 N/A (see above)

* specfile name matches %{name}
 OK

* verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
OK

* skim the summary and description for typos, etc.
OK

* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 OK

* if %{?dist} is used, it should be in that form (note the ? and %
locations)
 OK

X * license text included in package and marked with %doc
    Included license is from the maven castor plugin. This project has no
    license.txt included in the source, and the file should therefore be 
    removed.

* keep old changelog entries; use judgement when removing (too old?
useless?)
 OK

* packages meets FHS (http://www.pathname.com/fhs/)
 OK

* rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there
 W: plexus-velocity non-standard-group Development/Java
 W: plexus-velocity no-documentation
 W: plexus-velocity-javadoc non-standard-group Development/Documentation
 W: plexus-velocity non-standard-group Development/Java

 All warnings are OK.

* changelog should be in one of these formats:
 OK

* Packager tag should not be used
 OK

* Vendor tag should not be used
 OK

* Distribution tag should not be used
 OK

* use License and not Copyright 
 OK

* Summary tag should not end in a period
 OK

* if possible, replace PreReq with Requires(pre) and/or Requires(post)
 OK

* specfile is legible
 - this is largely subjective; use your judgement
 OK

* package successfully compiles and builds on at least x86
 OK
 
X * BuildRequires are proper
  - builds in mock will flush out problems here
 Does not build in mock

* summary should be a short and concise description of the package
 OK

* description expands upon summary (don't include installation
instructions)
 OK

* make sure lines are <= 80 characters
 Line 141 is > 80, but it is okay because it is code, and more legible this
 way

* specfile written in American English
  OK

* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
 OK

* packages including libraries should exclude static libraries if possible
 OK

* don't use rpath
 OK

* config files should usually be marked with %config(noreplace)
 OK

* GUI apps should contain .desktop files
 OK

* should the package contain a -devel sub-package?
 OK

* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
 OK

* don't use %makeinstall
 OK

* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
 OK

* consider using cp -p to preserve timestamps
 OK

* split Requires(pre,post) into two separate lines
 OK

* package should probably not be relocatable
 OK

* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
 OK

* package should own all directories and files
 OK

* there should be no %files duplicates
 OK

* file permissions should be okay; %defattrs should be present
 OK

* %clean should be present
 OK

* %doc files should not affect runtime
 OK

* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
 OK

* verify the final provides and requires of the binary RPMs
 OK

* run rpmlint on the binary RPMs
 OK

SHOULD:
* package should include license text in the package and mark it with %doc
 OK

* package should build on i386
 OK

X * package should build in mock
    Does not build

Notes:
Package builds in mock after removing the %dooc entry (which should go away 
anyway) and after adding a dependency on ant-nodeps.



Comment 3 Tania Bento 2007-03-08 19:02:03 UTC
> X * is it legal for Fedora to distribute this?
>   - OSI-approved
>   Unable to verify license of project. Please send note to user mailing list
>   to clarify:
> 
>  http://plexus.codehaus.org/plexus-components/plexus-velocity/mail-lists.html

I've sent an email and someone was kind enough to respond.  Plexus-velocity is
under the MIT license, but Velocity itself is under the Apache Software license.

> X * license field matches the actual license.
>     Unable to verify license of project. Please send note to user mailing list to
>     clarify:
> 
>     http://plexus.codehaus.org/plexus-components/plexus-velocity/mail-lists.html

See above.
 
> X * license text included in package and marked with %doc
>     Included license is from the maven castor plugin. This project has no
>     license.txt included in the source, and the file should therefore be 
>     removed.

I've removed the %doc line in %files.

> X * BuildRequires are proper
>   - builds in mock will flush out problems here
>  Does not build in mock

Fixed.

> X * package should build in mock
>     Does not build

Now builds in mock.


Here is the link to the updated spec file and source rpm:

SPEC FILE:
https://tbento.108.redhat.com/files/documents/177/273/plexus-velocity.spec

SOURCE RPM:
https://tbento.108.redhat.com/files/documents/177/274/plexus-velocity-1.1.2-2jpp.1.src.rpm



Comment 4 Deepak Bhole 2007-03-08 20:13:49 UTC
Approved.

Comment 5 Matt Wringe 2007-03-08 21:25:50 UTC
New Package CVS Request
=======================
Package Name: plexus-velocity
Short Description: Plexus Velocity Component
Owners: mwringe@redhat.com
Branches: devel
InitialCC: 


Note You need to log in before you can comment on or make changes to this bug.